﻿<%@ Page Language="C#" %>

<!DOCTYPE html>

<script runat="server">

    protected void AddDublinCoreMetadata(long contentID)
    {
        Ektron.Cms.Framework.Content.ContentManager contentManager = new Ektron.Cms.Framework.Content.ContentManager(Ektron.Cms.Framework.ApiAccessMode.Admin);
        Ektron.Cms.ContentData contentData = contentManager.GetItem(contentID, true);
        System.Xml.XmlDocument xd = new System.Xml.XmlDocument();
        
        xd.LoadXml("<root>" + contentData.Teaser + "</root>");// Strip all HTML out of teaser value
        System.Globalization.DateTimeFormatInfo dfi = new System.Globalization.DateTimeFormatInfo();
        dfi.ShortDatePattern = "yyyy-MM-dd";
        System.Globalization.CultureInfo cultureObj = new System.Globalization.CultureInfo(contentData.LanguageId);
  
        System.Web.UI.HtmlControls.HtmlMeta DC_title = new System.Web.UI.HtmlControls.HtmlMeta();
        DC_title.Name = "DC.title";
        DC_title.Content = contentData.Title;
        Page.Header.Controls.Add(DC_title);

        System.Web.UI.HtmlControls.HtmlMeta DC_format = new System.Web.UI.HtmlControls.HtmlMeta();
        DC_format.Name = "DC.format";
        DC_format.Content = "text/html";
        Page.Header.Controls.Add(DC_format);

        System.Web.UI.HtmlControls.HtmlMeta DC_description = new System.Web.UI.HtmlControls.HtmlMeta();
        DC_description.Name = "DC.description";
        DC_description.Content = xd.DocumentElement.InnerText;
        Page.Header.Controls.Add(DC_description);

        System.Web.UI.HtmlControls.HtmlMeta DC_contributor = new System.Web.UI.HtmlControls.HtmlMeta();
        DC_contributor.Name = "DC.contributor";
        DC_contributor.Content = contentData.EditorFirstName + " " + contentData.EditorLastName;
        Page.Header.Controls.Add(DC_contributor);

        System.Web.UI.HtmlControls.HtmlMeta DC_identifier = new System.Web.UI.HtmlControls.HtmlMeta();
        DC_identifier.Name = "DC.identifier";
        DC_identifier.Content = Ektron.Cms.Common.EkFunctions.HtmlEncode(Page.Request.Url.AbsoluteUri);
        Page.Header.Controls.Add(DC_identifier);

        System.Web.UI.HtmlControls.HtmlMeta DC_date = new System.Web.UI.HtmlControls.HtmlMeta();
        DC_date.Name = "DC.date";
        DC_date.Content = contentData.DateModified.ToString("d", dfi);
        Page.Header.Controls.Add(DC_date);

        System.Web.UI.HtmlControls.HtmlMeta DC_language = new System.Web.UI.HtmlControls.HtmlMeta();
        DC_language.Name = "DC.language";
        DC_language.Content = cultureObj.Name;
        Page.Header.Controls.Add(DC_language);
    }

    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void Page_PreRender(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            if (Request.QueryString["id"] != null)
            {
                long contentID;
                long.TryParse(Request.QueryString["id"], out contentID);
                AddDublinCoreMetadata(contentID);
            }
        }
    }
    
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
    </div>
    </form>
</body>
</html>
